#compdef stargazer

autoload -U is-at-least

_stargazer() {
    typeset -A opt_args
    typeset -a _arguments_options
    local ret=1

    if is-at-least 5.2; then
        _arguments_options=(-s -S -C)
    else
        _arguments_options=(-s -C)
    fi

    local context curcontext="$curcontext" state line
    _arguments "${_arguments_options[@]}" \
'-D[Print debug information while server is running]' \
'--debug[Print debug information while server is running]' \
'-d[Run server is dev mode. Servers out of current directory]' \
'--dev[Run server is dev mode. Servers out of current directory]' \
'--check-config[Check config and exit]:file:_files' \
'-h[Prints help information]' \
'--help[Prints help information]' \
'-V[Prints version information]' \
'--version[Prints version information]' \
'*:file:_files' \
&& ret=0
    
}

(( $+functions[_stargazer_commands] )) ||
_stargazer_commands() {
    local commands; commands=(
        
    )
    _describe -t commands 'stargazer commands' commands "$@"
}

_stargazer "$@"
